package com.mortals.xhx.common.code;

/**
 * 业务统一返回码
 * @author linlc
 *
 */
public enum ResultCodeEnum {
	
	CODE_001(156001,"参数类型错误"),
	CODE_002(156002,"部分参数为空"),
	CODE_003(156003,"参数长度超过限制"),
	CODE_004(156004,"日期格式错误"),
	CODE_005(156005,"时间区间不合法"),
	CODE_006(156006,"远端服务不可用"),
	CODE_007(156007,"无效的签名"),
	CODE_008(156008,"不合法的 AppID ，请开发者检查 AppID 的正确性，避免异常字符，注意大小写"),
	CODE_009(156009,"请求来源地址不合法"),
	CODE_010(156010,"没有相应的用户"),
	CODE_011(156011,"不合法的文件类型"),
	CODE_012(156012,"不合法的文件大小"),
	CODE_013(156013,"上传文件缺失"),
	CODE_014(156014,"不支持的图片格式"),
	CODE_015(156015,"无效的url"),
	CODE_016(156016,"设备编号不合法"),
	CODE_017(356017,"设备编号不存在"),
	CODE_018(356018,"设备当前在线状态为“离线”，无法使用！"),
	CODE_019(356019,"设备当前投放状态为“待重投”，无法使用！"),
	CODE_020(356020,"设备当前投放状态为“已报废”，无法使用！"),
	CODE_021(356021,"设备当前投放状态为“初始化”，无法使用！"),
	CODE_022(356022,"此设备当前启用状态为“禁用”，无法使用！"),
	CODE_023(356023,"API 调用太频繁，请稍候再试"),
	CODE_024(256024,"用户未授权该 api"),
	CODE_025(156025,"解析 JSON/XML 内容错误"),
	CODE_FAILUER(-1,"失败");

    private int value;
    private String desc;

    ResultCodeEnum(int value, String desc) {
    	this.value = value;
        this.desc = desc;
    }

    public int getValue() {
    	return value;
    }

    public String getDesc() {
        return desc;
    }



}
